=begin pod

=TITLE class X::Syntax::Missing

=SUBTITLE Compilation error due to a missing piece of syntax

    class X::Syntax::Missing does X::Syntax { }

Syntax error thrown when the previous piece of syntax requires the
existence of another piece of syntax, and that second piece is missing.

For example

    for 1, 2, 3

dies with

    ===SORRY!===
    Missing block

because a C<for> that is not a statement modifier must be followed by a block.

=head1 Methods

=head2 method what

    method what() returns Str:D

Returns a string description of the missing syntax element.

=end pod
